### Function

# RB uri_append_uri

#### Declaration [src]

    char*
    rb_uri_append_uri (
      const char* uri,
      const char* fragment
    )

#### Description [src]

Creates a new URI consisting of `fragment` appended to `uri`. Generally isn’t a good idea.

#### Parameters

`uri`

  Type: `const char*`

  The URI to append to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`fragment`

  Type: `const char*`

  The URI fragment to append.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

New URI, must be freed by caller.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.